<!DOCTYPE html>
<html lang="ja">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="format-detection" content="telephone=no">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <?php wp_head(); ?>
    <?php
    $browser = strtolower($_SERVER['HTTP_USER_AGENT']);
    if (strstr($browser, 'trident') || strstr($browser, 'msie')) :
    ?>Ω
        <style type="text/css">
            @media screen and (min-width: 640px) {
                .page-header-title {
                    line-height: 300px;
                    white-space: nowrap;
                    overflow: hidden;
                    text-overflow: ellipsis;
                }
            }
            .card-list,
            .flow-simple-list {
                display: flex;
                margin-bottom: -1rem;
                flex-wrap: wrap;
            }
            .card-item,
            .flow-simple-item {
                width: 100%;
                margin-bottom: 1rem;
            }

            @media screen and (min-width: 640px) {
                .card-list,
                .flow-simple-list {
                    margin-left: -.5rem;
                    margin-right: -.5rem;
                }
                .card-item,
                .flow-simple-item {
                    width: calc(50% - 1rem);
                    margin-left: .5rem;
                    margin-right: .5rem;
                }
            }

            @media screen and (min-width: 800px) {
                .card-item,
                .flow-simple-item {
                    width: calc(33.3333% - 1rem);
                }
            }
        </style>
    <?php endif; ?>
</head>

<body <?php body_class(); ?>>
    <header>
        <div class="header" id="site-header">
            <p class="header-logo">
                <?php
                the_custom_logo();
                if (!has_custom_logo()) { ?>
                    <a href="<?php bloginfo('url'); ?>" class="header-title-link"><?php bloginfo('name'); ?></a>
                <?php }
                ?>
            </p>
            <nav class="header-menu">
                <?php
                wp_nav_menu(array(
                    'theme_location' => 'header-navi',
                    'container_class' => 'header-menu-list',
                    'container_id' => 'header-menu-list',
                    'items_wrap' => '<ul class="menu-list">%3$s</ul>'
                ));
                ?>
            </nav>
            <?php
            $tel_number = get_tel_number();
            $get_tel_number_hankaku = mb_convert_kana($tel_number, 'a');
            $get_tel_number_link = preg_replace('/[^0-9]/', '', $get_tel_number_hankaku);
            if (!empty($tel_number)) : ?>
                <div class="header-tel">
                    <a href="tel:<?php echo $get_tel_number_link; ?>" class="header-tel-link">
                        <span class="header-tel-pc"><span class="header-tel-number"><i class="fas fa-phone-alt"></i><?php echo $tel_number; ?></span>
                            <?php
                            $get_tel_number_time = get_tel_number_time();
                            if (!empty($get_tel_number_time)) : ?>
                                <span class="header-tel-time"><?php echo $get_tel_number_time; ?></span></span>
                    <?php endif; ?>
                    <span class="header-tel-sp"><i class="fas fa-phone-volume"></i>発信</span>
                    </a>
                </div>
            <?php endif; ?>
            <?php
            $get_contact_url = get_theme_mod('contact_url');
            if (!empty($get_contact_url)) : ?>
                <div class="header-mail">
                    <a href="<?php echo $get_contact_url; ?>" class="header-mail-link"><i class="fas fa-envelope"></i>お問い合わせ</a>
                </div>
            <?php endif; ?>
            <div class="drawer">
                <input type="checkbox" id="drawer-check" class="drawer-hidden">
                <label for="drawer-check" class="drawer-open"><span class="drawer-line"></span></label>
                <div class="drawer-content">
                    <?php
                    wp_nav_menu(array(
                        'theme_location' => 'header-navi',
                        'container_class' => 'header-menu-list',
                        'container_id' => 'header-menu-list',
                        'items_wrap' => '<ul class="drawer-list">%3$s</ul>'
                    ));
                    ?>
                </div>
            </div>
        </div>
    </header>