<?php get_header(); ?>
<?php
$title = $page->post_title;
$cat = get_queried_object();
$cat_name = $cat->name;

$page_title    = '';

if (is_search()) {
    global $wp_query;
    if ($wp_query->found_posts) {
        $page_subtitle = sprintf(
            '%s件の記事が見つかりました',
            number_format_i18n($wp_query->found_posts)
        );
    } else {
        $page_subtitle = '記事が見つかりませんでした';
    }
    $page_title = sprintf(
        '「' . get_search_query() . '」の検索結果：'
    ) . $page_subtitle;
} elseif (is_category()) {
    $page_title    = 'カテゴリー：' . $cat_name;
} elseif (is_archive()) {
    $page_title    = get_the_archive_title() . 'の記事一覧';
} elseif (is_404()) {
    $page_title    = 'ページが見つかりません';
} elseif (is_home()) {
    $page_title    = get_bloginfo('name');
}
?>
<div class="page-header">
    <?php $header_image = get_blog_image_url();
    if (!empty($header_image)) : ?>
        <img src="<?php echo $header_image; ?>" alt="<?php bloginfo('name'); ?>" class="page-header-image">
    <?php endif; ?>
    <h1 class="page-header-title"><?php echo $page_title; ?></h1>
</div>
<div class="container">
    <ul class="article-list blog-list">
        <?php
        if (have_posts()) {
            while (have_posts()) {
                the_post(); ?>
                <li <?php post_class('article-item blog-item'); ?>>
                    <figure class="blog-figure">
                        <a href="<?php the_permalink() ?>" class="blog-figure-link">
                            <?php if (has_post_thumbnail()) { ?>
                                <?php the_post_thumbnail('large', array('class' => 'blog-figure-image')); ?>
                            <?php } else { ?>
                                <img src="<?php echo get_template_directory_uri(); ?>/assets/images/noimage.png" class="blog-figure-image">
                            <?php } ?>
                        </a>
                    </figure>
                    <div class="blog-content">
                        <a href="<?php the_permalink() ?>" class="blog-content-link">
                            <h3 class="blog-item-title"><?php
                                                        if (mb_strlen($post->post_title) > 40) {
                                                            $title = mb_substr($post->post_title, 0, 40);
                                                            echo $title . '...';
                                                        } else {
                                                            echo $post->post_title;
                                                        }
                                                        ?></h3>
                            <p class="blog-item-text"><?php echo get_the_excerpt(); ?></p>
                        </a>
                        <?php get_template_part('template-parts/content-meta'); ?>
                    </div>
                </li>
        <?php    }
        }
        ?>
    </ul>
</div>
<nav class="page-navigation" role="navigation" aria-label="投稿">
    <?php the_posts_pagination(
        array(
            'mid_size'      => 2, // 現在ページの左右に表示するページ番号の数
            'prev_next'     => true, // 「前へ」「次へ」のリンクを表示する場合はtrue
            'prev_text'     => __('前へ'), // 「前へ」リンクのテキスト
            'next_text'     => __('次へ'), // 「次へ」リンクのテキスト
            'type'          => 'list', // 戻り値の指定 (plain/list)
        )
    ); ?>
</nav>

<div class="container">
    <div class="footer-aside">
        <?php dynamic_sidebar('sidebar-1'); ?>
    </div>
</div>
<?php get_footer(); ?>