<?php get_header(); ?>

<div class="page-header">
    <?php
    if (has_post_thumbnail()) : ?>
        <img src="<?php the_post_thumbnail_url('large'); ?>" alt="" class="page-header-image">
    <?php else : ?>
        <?php $header_image = get_blog_image_url();
        if (!empty($header_image)) : ?>
            <img src="<?php echo $header_image; ?>" alt="<?php bloginfo('name'); ?>" class="page-header-image">
        <?php endif; ?>
    <?php endif; ?>
    <h2 class="page-header-title"><?php echo get_bloginfo('name'); ?></h2>
</div>

<div class="one-column">
    <div class="content">
        <?php
        if (have_posts()) {
            while (have_posts()) {
                the_post();
        ?>
                <div class="single-content">
                    <h1 class="single-content-title"><?php the_title(); ?></h1>
                    <?php get_template_part('template-parts/content-meta'); ?>
                </div>
        <?php
                the_content();
            }
        }
        ?>
    </div>
    <div class="author-box">
        <div class="author-box__profile">
            <?php echo get_avatar(get_the_author_meta('ID'), 300); ?>
        </div>
        <div class="author-box__introduction">
            <p class="author-box__profile--name"><?php the_author_posts_link(); ?></p>
            <div class="author-box__profile--text"><?php echo wpautop(get_the_author_meta('user_description')); ?></div>
            <?php if (get_the_author_meta('user_url') != "" || get_the_author_meta('facebook') != "" || get_the_author_meta('twitter') != "" || get_the_author_meta('instagram') != "" || get_the_author_meta('youtube') != "") : ?><ul class="author-box__introduction--sns"><?php endif; ?>
                <?php if (get_the_author_meta('user_url') != "") : ?>
                    <li class="author-box__introduction--sns-item"><a href="<?php the_author_meta('user_url'); ?>" class="author-box__introduction--sns-item-link" target="_blank" rel="noopener"><i class="fas fa-globe fa-fw"></i>ホームページ</a></li>
                <?php endif; ?>
                <?php if (get_the_author_meta('facebook') != "") : ?>
                    <li class="author-box__introduction--sns-item"><a href="<?php the_author_meta('facebook'); ?>" class="author-box__introduction--sns-item-link" target="_blank" rel="noopener"><i class="fab fa-facebook-f fa-fw"></i>Facebook</a></li>
                <?php endif; ?>
                <?php if (get_the_author_meta('twitter') != "") : ?>
                    <li class="author-box__introduction--sns-item"><a href="<?php the_author_meta('twitter'); ?>" class="author-box__introduction--sns-item-link" target="_blank" rel="noopener"><i class="fab fa-twitter fa-fw"></i>Twitter</a></li>
                <?php endif; ?>
                <?php if (get_the_author_meta('instagram') != "") : ?>
                    <li class="author-box__introduction--sns-item"><a href="<?php the_author_meta('instagram'); ?>" class="author-box__introduction--sns-item-link" target="_blank" rel="noopener"><i class="fab fa-instagram fa-fw"></i>Instagram</a></li>
                <?php endif; ?>
                <?php if (get_the_author_meta('youtube') != "") : ?>
                    <li class="author-box__introduction--sns-item"><a href="<?php the_author_meta('youtube'); ?>" class="author-box__introduction--sns-item-link" target="_blank" rel="noopener"><i class="fab fa-youtube fa-fw"></i>YouTube</a></li>
                <?php endif; ?>
                <?php if (get_the_author_meta('user_url') != "" || get_the_author_meta('facebook') != "" || get_the_author_meta('twitter') != "" || get_the_author_meta('instagram') != "" || get_the_author_meta('youtube') != "") : ?>
                </ul><?php endif; ?>
        </div>
    </div>

    <?php comments_template(); ?>
    <?php
    $next_post = get_next_post();
    $prev_post = get_previous_post();

    if ($next_post || $prev_post) {

        $pagination_classes = '';

        if (!$next_post) {
            $pagination_classes = ' only-one only-prev';
        } elseif (!$prev_post) {
            $pagination_classes = ' only-one only-next';
        }

    ?>

        <div class="single-navigation <?php echo esc_attr($pagination_classes); ?>">
            <?php
            if ($prev_post) {
            ?>

                <a class="single-navigation__item--previous" href="<?php echo esc_url(get_permalink($prev_post->ID)); ?>">
                    <span class="title"><i class="fas fa-chevron-left"></i><span class="title-inner"><?php echo wp_kses_post(get_the_title($prev_post->ID)); ?></span></span>
                </a>

            <?php
            }

            if ($next_post) {
            ?>

                <a class="single-navigation__item--next" href="<?php echo esc_url(get_permalink($next_post->ID)); ?>">
                    <span class="title"><span class="title-inner"><?php echo wp_kses_post(get_the_title($next_post->ID)); ?></span><i class="fas fa-chevron-right"></i></span>
                </a>
            <?php
            }
            ?>
        </div>
    <?php
    }
    ?>
    <div class="footer-aside">
        <?php dynamic_sidebar('sidebar-1'); ?>
    </div>
</div>
<?php get_footer(); ?>