<?php

/**
 * Template Name: ページ作成用：事務所案内用テンプレート
 * Template Post Type: page
 *
 */
get_header();
?>
<div class="page-header">
    <?php
    if (has_post_thumbnail()) : ?>
        <img src="<?php the_post_thumbnail_url('large'); ?>" alt="" class="page-header-image">
    <?php endif; ?>
    <h1 class="page-header-title"><?php the_title(); ?></h1>
</div>
<section class="company-about">
    <div class="two-column">
        <div class="two-column-box">
            <?php $company_about_image = CFS()->get('company-about-image');
            if (!empty($company_about_image)) : ?>
                <img src="<?php echo $company_about_image; ?>" class="company-about-image">
            <?php endif; ?>
        </div>
        <div class="two-column-box">
            <div class="two-column-inner content-page">
                <h3 class="two-column-title"><?php echo CFS()->get('company-about-title'); ?></h3>
                <div><?php echo CFS()->get('company-about-text'); ?></div>
            </div>
        </div>
    </div>
</section>
<?php $company_greeting_text = CFS()->get('company-greeting-text');
if (!empty($company_greeting_text)) : ?>
    <section class="company-greeting">
        <div class="column-740">
            <h2 class="section-title">代表挨拶</h2>
            <div class="company-greeting-box page-content">
                <?php $company_greeting_image = CFS()->get('company-greeting-image');
                if (!empty($company_greeting_image)) : ?>
                    <img src="<?php echo $company_greeting_image; ?>" class="company-greeting-image">
                <?php endif; ?>
                <?php echo CFS()->get('company-greeting-text'); ?>
            </div>
        </div>
    </section>
<?php endif; ?>
<section class="company-data bg-color">
    <div class="container">
        <h2 class="section-title">事務所概要</h2>
    </div>
    <div class="column-740">
        <table class="table-01">
            <?php
            $fields = CFS()->get('company-data');
            if ($fields != null ) :
            foreach ($fields as $field) : ?>
                <tr>
                    <th><?php echo $field['company-data-title']; ?></th>
                    <td><?php echo $field['company-data-text']; ?></td>
                </tr>
            <?php endforeach; ?>
            <?php endif;?>
        </table>
    </div>
</section>
<section class="company-access">
    <div class="container">
        <h2 class="section-title">アクセス</h2>
    </div>
    <div class="column-740 flow-faq-box">
        <div class="company-access-text"><?php echo CFS()->get('company-access-text'); ?></div>
        <?php $company_access_map = CFS()->get('company-access-map');
        if (!empty($company_access_map)) : ?>
            <div class="google-map">
                <?php echo $company_access_map; ?>
            </div>
        <?php endif; ?>
        <?php $company_station = CFS()->get('company-station');
        if (!empty($company_station)) : ?>
            <div class="company-station">
                <dl class="company-station-list">
                    <?php
                    $fields = CFS()->get('company-station');
                    if ($fields != null ) :
                    foreach ($fields as $field) : ?>
                        <dt class="company-station-title"><?php echo $field['company-station-title']; ?></dt>
                        <dd class="company-station-content"><?php echo $field['company-station-text']; ?></dd>
                    <?php endforeach; ?>
                    <?php endif;?>
                </dl>
            </div>
        <?php endif; ?>
    </div>
</section>

<?php get_footer(); ?>