<?php

/**
 * Template Name: ページ作成用：お問い合わせ用テンプレート
 * Template Post Type: page
 *
 */
get_header();
?>
<div class="page-header">
    <?php
    if (has_post_thumbnail()) : ?>
        <img src="<?php the_post_thumbnail_url('large'); ?>" alt="" class="page-header-image">
    <?php endif; ?>
    <h1 class="page-header-title"><?php the_title(); ?></h1>
</div>
<div class="container">

    <?php $get_tel_number = get_tel_number();
    if (!empty($get_tel_number)) : ?>
        <section class="contact-tel contact-item">
            <div class="two-column contact-two-column">
                <div class="two-column-box">
                    <h2 class="contact-title">電話でのお問い合わせ</h2>
                </div>
                <div class="two-column-box">
                    <p class="contact-title-text"><?php echo CFS()->get('contact-tel-text'); ?></p>
                    <?php
                    $get_tel_number_hankaku = mb_convert_kana($get_tel_number, 'a');
                    $get_tel_number_link = preg_replace('/[^0-9]/', '', $get_tel_number);
                    if (!empty($get_tel_number)) : ?>
                        <div class="contact-tel-box"><span class="contact-tel-numuber"><a href="tel:<?php echo $get_tel_number_link; ?>" class="cta-tel"><i class="fas fa-phone-alt"></i><?php echo get_tel_number(); ?></span></a>
                            <?php
                            $get_tel_number_time = get_tel_number_time();
                            if (!empty($get_tel_number_time)) : ?>
                                <span class="contact-tel-time"><?php echo $get_tel_number_time; ?></span>
                            <?php endif; ?>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </section>
    <?php endif; ?>
    <?php $contact_line = CFS()->get('contact-link-url');
    if (!empty($contact_line)) : ?>
        <section class="contact-line contact-item">
            <div class="two-column contact-two-column">
                <div class="two-column-box">
                    <h2 class="contact-title">LINEでのお問い合わせ</h2>
                </div>
                <div class="two-column-box">
                    <p class="contact-title-text"><?php echo CFS()->get('contact-line-text'); ?></p>
                    <a href="<?php echo CFS()->get('contact-link-url'); ?>" class="button-common button-line" target="_blank" rel="noopener">LINEで問い合わせる</a>
                </div>
        </section>
    <?php endif; ?>

    <?php $contact_mail = CFS()->get('contact-mail-form');
    if (!empty($contact_mail)) : ?>
        <section class="contact-mail contact-item">
            <div class="two-column contact-two-column">
                <div class="two-column-box">
                    <h2 class="contact-title">メールでのお問い合わせ</h2>
                </div>
                <div class="two-column-box">
                    <p class="contact-title-text contact-title-text-mail"><?php echo CFS()->get('contact-mail-text'); ?></p>
                    <?php $form_shortcode = CFS()->get('contact-mail-form');
                    echo do_shortcode("$form_shortcode"); ?>
                </div>
            </div>
        </section>
    <?php endif; ?>
</div>
<?php get_footer(); ?>