<?php

/**
 * Template Name: ページ作成用：ご相談の流れ用テンプレート
 * Template Post Type: page
 *
 */
get_header();
?>
<div class="page-header">
    <?php
    if (has_post_thumbnail()) : ?>
        <img src="<?php the_post_thumbnail_url('large'); ?>" alt="" class="page-header-image">
    <?php endif; ?>
    <h1 class="page-header-title"><?php the_title(); ?></h1>
</div>
<section class="flow-simple">
    <div class="container">
        <ul class="flow-simple-list">
            <?php $fields = CFS()->get('flow-detail');
            $n = 0;
            if ($fields != null ) :
            foreach ($fields as $field) : $n++; ?>
                <li class="flow-simple-item"><?php echo $field['flow-detail-title']; ?></li>
            <?php endforeach; ?>
            <?php endif;?>
        </ul>
    </div>
</section>
<section class="flow-detail bg-color">
    <div class="container">
        <h2 class="section-title">ご相談の流れ</h2>
    </div>
    <div class="container flow-detail-box">
        <?php
        if ($fields != null ) :
        foreach ($fields as $field) :?>
            <dl class="flow-detail-inner">
                <dt class="flow-detail-title"><?php echo $field['flow-detail-title']; ?></dt>
                <dd class="flow-detail-content"><?php echo $field['flow-detail-text']; ?></dd>
            </dl>
        <?php endforeach; ?>
        <?php endif;?>
    </div>
</section>
<?php $fields = CFS()->get('flow-faq');
if (!empty($fields)) : ?>
<section class="flow-faq">
    <div class="container">
        <h2 class="section-title">よくあるご質問</h2>
    </div>
    <div class="column-740 flow-faq-box">
    <?php
        foreach ($fields as $field) : ?>
            <dl class="flow-faq-inner">
                <dt class="flow-faq-title"><?php echo $field['flow-faq-title']; ?></dt>
                <dd class="flow-faq-content"><?php echo $field['flow-faq-text']; ?></dd>
            </dl>
        <?php endforeach; ?>
</section>
<?php endif;?>

<?php get_footer(); ?>