<?php

/**
 * Template Name: ページ作成用：トップページ用テンプレート
 * Template Post Type: page
 *
 */
get_header(); ?>

</header>
<section class="home-hero">
    <?php $home_hero_image = CFS()->get('home-hero-image');
    if (!empty($home_hero_image)) : ?>
        <img src="<?php echo $home_hero_image; ?>" alt="<?php bloginfo('name'); ?>" class="home-hero-image">
    <?php endif; ?>
    <div class="home-hero-box">
        <?php echo CFS()->get('home-hero-box'); ?>
    </div>
</section>
<section class="home-greeting">
    <div class="container">
        <div class="two-column">
            <div class="two-column-box">
                <h2 class="home-greeting-title">
                    <?php echo CFS()->get('home-greeting-title'); ?>
                </h2>
            </div>
            <div class="two-column-box">
                <div class="home-greeting-box content-page">
                    <?php echo CFS()->get('home-greeting-text'); ?>
                    <?php $link_greeting = CFS()->get('home-greeting-button'); ?>
                    <a href="<?php echo $link_greeting['url']; ?>" class="button-common button-center" target="<?php if (!in_array('none', $link_greeting)) {
                                                                                                                    echo $link_greeting['target'];
                                                                                                                } ?>"><?php echo $link_greeting['text']; ?></a>
                </div>
            </div>
        </div>
    </div>
</section>
<section class="bg-color home-gyoumu">
    <div class="container">
        <h2 class="section-title">取扱業務</h2>
        <ul class="card-list">
            <?php $fields = CFS()->get('home-gyoumu');
            if ($fields != null ) :
                foreach ($fields as $field) : ?>
                    <li class="card-item">
                        <h3 class="card-item-title"><?php echo $field['home-gyoumu-title']; ?></h3>
                        <div class="card-item-box">
                            <?php echo $field['home-gyoumu-icon']; ?>
                            <ul class="card-detail-list">
                                <?php
                                $fields = $field['home-gyoumu-list'];
                                if ($fields != null ) :
                                    foreach ($fields as $field) : ?>
                                        <li class="card-detail-item"><?php echo $field['home-gyoumu-item']; ?></li>
                                    <?php endforeach; ?>
                                <?php endif; ?>
                            </ul>
                        </div>
                    </li>
                <?php endforeach; ?>
            <?php endif; ?>
        </ul>
        <?php $link_gyoumu = CFS()->get('home-gyoumu-button'); ?>
        <a href="<?php echo $link_gyoumu['url']; ?>" class="button-common button-center" target="<?php if (!in_array('none', $link_gyoumu)) {
                                                                                                    echo $link_gyoumu['target'];
                                                                                                } ?>"><?php echo $link_gyoumu['text']; ?></a>
    </div>
</section>
<section class="home-tokuchou">
    <h2 class="section-title"><?php
                                $fields = CFS()->get('home-tokuchou');
                                $n = 0;
                                if ($fields != null ) {
                                    foreach ($fields as $field) {
                                        $n++;
                                    }
                                    echo count($fields);
                                } ?>つの特徴</h2>
    <?php $fields = CFS()->get('home-tokuchou');
    $n = 0;
    if ($fields != null ) :
        foreach ($fields as $field) : ?>
            <div class="tokuchou-box<?php $n++;
                                    if ($n % 2 == 0) {
                                        echo ' tokuchou-box-reverse';
                                    } ?>">
                <?php $tokuchou_box_image = $field['home-tokuchou-image'];
                if (!empty($tokuchou_box_image)) : ?>
                    <img src="<?php echo $tokuchou_box_image; ?>" class="tokuchou-box-image">
                <?php endif; ?>
                <div class="container">
                    <div class="tokuchou-box-inner content-page">
                        <h3 class="tokuchou-title"><?php echo $field['home-tokuchou-title']; ?></h3>
                        <?php echo $field['home-tokuchou-text']; ?>
                        <?php $link_tokuchou = $field['home-tokuchou-button'];
                        if (!empty($link_tokuchou['url'])) : ?>
                            <a href="<?php echo $link_tokuchou['url']; ?>" class="button-common button-center" target="<?php if (!in_array('none', $link_tokuchou)) {
                                                                                                                            echo $link_tokuchou['target'];
                                                                                                                        } ?>"><?php echo $link_tokuchou['text']; ?></a>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        <?php endforeach; ?>
    <?php endif; ?>
</section>

<section class="bg-color home-news">
    <div class="column-740">
        <h2 class="section-title">お知らせ</h2>
        <ul class="home-news-list">
            <?php

            $values = CFS()->get('home-blog-category');
            if ($values != null ) {
                $cate_id = implode(",", $values);
            }

            $args = array(
                'posts_per_page' => 3,
                'post_type' => array('post'),
                'cat' => $cate_id,

            );
            $wp_query_post = new WP_Query($args);
            if ($wp_query_post->have_posts()) : while ($wp_query_post->have_posts()) : $wp_query_post->the_post();
            ?>
                    <li class="home-news-item">
                        <span class="home-news-time"><?php the_time('Y年n月j日'); ?></span><a href="<?php the_permalink() ?>" class="home-news-link">
                            <?php the_title(); ?>
                        </a>
                    </li>
            <?php endwhile;
            endif;
            wp_reset_postdata(); ?>
        </ul>
        <?php $link_news = CFS()->get('home-news-button'); ?>
        <a href="<?php echo $link_news['url']; ?>" class="button-common button-center" target="<?php if (!in_array('none', $link_news)) {
                                                                                                    echo $link_news['target'];
                                                                                                } ?>"><?php echo $link_news['text']; ?></a>
    </div>
</section>

<?php
$values = CFS()->get('home-column-category');
if ($values != null ) {
    $cate_id = implode(",", $values);
}
if (!empty($values)) :
?>

    <section class="home-column">
        <h2 class="section-title">お役立ちコラム</h2>
        <div class="container">
            <ul class="blog-list article-list">
                <?php
                $list_cnt = 4; //表示させたい記事の合計件数
                $sticky = get_option('sticky_posts'); //先頭固定の記事
                if (!empty($sticky)) $list_cnt -= count($sticky); //先頭固定の記事がある場合は、その件数を「$list_cnt」の値から引く
                if (count($sticky) > 0) :
                    $the_query = new WP_Query(array(
                        'post_type' => 'post',
                        'post__in' => $sticky,
                        'cat' => $cate_id,
                    )); ?>
                    <?php while ($the_query->have_posts()) : $the_query->the_post(); ?>
                        <li class="article-item blog-item">
                            <figure class="blog-figure">
                                <a href="<?php the_permalink() ?>" class="blog-figure-link">
                                    <?php if (has_post_thumbnail()) { ?>
                                        <?php the_post_thumbnail('large', array('class' => 'blog-figure-image')); ?>
                                    <?php } else { ?>
                                        <img src="<?php echo get_template_directory_uri(); ?>/assets/images/noimage.png" class="blog-figure-image">
                                    <?php } ?>
                                </a>
                            </figure>
                            <div class="blog-content">
                                <a href="<?php the_permalink() ?>" class="blog-content-link">
                                    <h3 class="blog-item-title">
                                        <?php
                                        if (mb_strlen($post->post_title) > 40) {
                                            $title = mb_substr($post->post_title, 0, 40);
                                            echo $title . '...';
                                        } else {
                                            echo $post->post_title;
                                        }
                                        ?>
                                    </h3>
                                    <p class="blog-item-text"><?php echo get_the_excerpt(); ?></p>
                                </a>
                                <div class="blog-meta"><span class="blog-date"><?php the_time('Y年n月j日'); ?></span><span class="blog-cate"><i class="far fa-folder-open"></i><?php the_category(' , '); ?></span></div>
                            </div>
                        </li>
                    <?php endwhile; ?>
                <?php endif; ?>
                <?php if ($list_cnt > 0) : //先頭固定以外の記事の表示
                    $the_query = new WP_Query(array(
                        'post__not_in' => get_option('sticky_posts'),
                        'post_type' => 'post',
                        'posts_per_page' => $list_cnt,
                        'ignore_sticky_posts' => 1,
                        'cat' => $cate_id,
                    )); ?>
                    <?php while ($the_query->have_posts()) : $the_query->the_post(); ?>
                        <li class="article-item blog-item">
                            <figure class="blog-figure">
                                <a href="<?php the_permalink() ?>" class="blog-figure-link">
                                    <?php if (has_post_thumbnail()) { ?>
                                        <?php the_post_thumbnail('large', array('class' => 'blog-figure-image')); ?>
                                    <?php } else { ?>
                                        <img src="<?php echo get_template_directory_uri(); ?>/assets/images/noimage.png" class="blog-figure-image">
                                    <?php } ?>
                                </a>
                            </figure>
                            <div class="blog-content">
                                <a href="<?php the_permalink() ?>" class="blog-content-link">
                                    <h3 class="blog-item-title">
                                        <?php
                                        if (mb_strlen($post->post_title) > 40) {
                                            $title = mb_substr($post->post_title, 0, 40);
                                            echo $title . '...';
                                        } else {
                                            echo $post->post_title;
                                        }
                                        ?>
                                    </h3>
                                    <p class="blog-item-text"><?php echo get_the_excerpt(); ?></p>
                                </a>
                                <div class="blog-meta"><span class="blog-date"><?php the_time('Y年n月j日'); ?></span><span class="blog-cate"><i class="far fa-folder-open"></i><?php the_category(' , '); ?></span></div>
                            </div>
                        </li>
                    <?php endwhile; ?>
                <?php endif; ?>
                <?php wp_reset_postdata(); ?>
            </ul>
            <?php $link_column = CFS()->get('home-column-button'); ?>
            <a href="<?php echo $link_column['url']; ?>" class="button-common button-center" target="<?php if (!in_array('none', $link_column)) {
                                                                                                        echo $link_column['target'];
                                                                                                    } ?>"><?php echo $link_column['text']; ?></a>
        </div>
    </section>
<?php endif; ?>
<?php
$values = CFS()->get('home-column-category');
if ($values != null ) {
    $cate_id = implode(",", $values);
}
if (empty($values)) :
?>
<div class="home-column-none">
<?php get_footer(); ?>
</div>
<?php else:?>
<?php get_footer(); ?>
<?php endif; ?>